

# --------------------------------------------
# sitegroup
# --------------------------------------------


- classname: _permission
  keyname: p_data_sitegroup_admin
  is_builtin: True
  description: "Built-in data_sitegroup admin permission"
  displayname: "p_data_sitegroup_admin"

- classname: _permission
  keyname: p_data_sitegroup_create
  is_builtin: True
  description: "Built-in data_sitegroup create permission"
  displayname: p_data_sitegroup_create

- classname: _permission
  keyname: p_data_sitegroup_read
  is_builtin: True
  description: "Built-in data_sitegroup read permission"
  displayname: p_data_sitegroup_read

- classname: _permission
  keyname: p_data_sitegroup_update
  is_builtin: True
  description: "Built-in data_sitegroup update permission"
  displayname: p_data_sitegroup_update
      
- classname: _permission
  keyname: p_data_sitegroup_delete
  is_builtin: True
  description: "Built-in data_sitegroup delete permission"
  displayname: p_data_sitegroup_delete

- classname: _permission
  keyname: p_data_sitegroup_import
  is_builtin: True
  description: "Built-in data_sitegroup import permission"
  displayname: p_data_sitegroup_import

- classname: _permission
  keyname: p_data_sitegroup_export
  is_builtin: True
  description: "Built-in data_sitegroup export permission"
  displayname: p_data_sitegroup_export
      

# -- schema

- classname: _schema
  keyname: sitegroup
  displayname: Groups of Sites
  is_enabled: yes
  icon: fa-university
  order: 70
  page: Sirene
  handle_method: md5
  p_admin: p_data_sitegroup_admin
  p_create: p_data_sitegroup_create
  p_read: p_data_sitegroup_read
  p_update: p_data_sitegroup_update
  p_delete: p_data_sitegroup_delete
  p_import: p_data_sitegroup_import
  p_export: p_data_sitegroup_export

  description:
        displayname: Description
        order: 100
        dataformat: string

  members:
        displayname: Members (Sites)
        page: Sirene
        order: 110
        dataformat: schema
        dataformat_ext: site
        cardinal_max: 0

  notify_user:
        displayname: Notify (Users)
        page: Notifications
        order: 200
        dataformat: user
        cardinal_max: 0

  notify_group:
        displayname: Notify (Groups)
        page: Notifications
        order: 210
        dataformat: group
        cardinal_max: 0            

        
